- Management APIs
- Access Requests - V2
- okta.accessRequests.condition.manage
- ACCESS_REQUESTS_ADMIN
Creates a request condition to govern how a resource can be requested.
Specify the following to create a request condition:
- What resource can be requested? (
resourceIdin path) - What access scope can be requested? (
accessScopeSettingsin request body) - Who can request access? (
requesterSettingsin request body) - What is the approval process? (
approvalSequenceIdin request body)
Any requesterSettings or accessScopeSettings parameters in the request body are validated against the resource's current request settings. After a request condition is created successfully, its status is set to INACTIVE.
Note: You can define a maximum of 100 conditions for each resource (app).
Unique identifier for the resource in Okta instance ID format or ORN format
Unique identifier for the approval sequence
- https://subdomain-okta.login.adsbillinghub.comhttps://subdomain-okta.login.adsbillinghub.com/governance/api/v2/resources/{resourceId}/request-conditions
A request condition allowing everyone to request permanent access to an application
curl -i -X POST \
'https://subdomain-okta.login.adsbillinghub.com/governance/api/v2/resources/{resourceId}/request-conditions' \
-H 'Content-Type: application/json' \
-d '{
"name": "Application | Permanent | Everyone",
"description": "A request condition allowing everyone to request permanent access to an application",
"approvalSequenceId": "61eb0f06c462d20007f051ac",
"requesterSettings": {
"type": "EVERYONE"
},
"accessScopeSettings": {
"type": "RESOURCE_DEFAULT"
},
"priority": 0
}'A successful response for creating request condition
Unique identifier for the object
The id of the Okta user who created the resource
The ISO 8601 formatted date and time when the resource was created
The ISO 8601 formatted date and time when the object was last updated
The id of the Okta user who last updated the object
status indicating if this condition is active or not. Default status is INACTIVE
The priority of the condition. The smaller the number, the higher the priority. The highest priority is 0. A new condition will default to the lowest priority.
A request condition allowing everyone to request permanent access to an application
{ "id": "rcob0oNGTSWTBKOLGLNR", "name": "Application | Permanent | Everyone", "description": "A request condition allowing everyone to request permanent access to an application", "approvalSequenceId": "61eb0f06c462d20007f051ac", "requesterSettings": { "type": "EVERYONE" }, "accessScopeSettings": { "type": "RESOURCE_DEFAULT" }, "priority": 0, "status": "INACTIVE", "created": "2019-08-24T14:15:22Z", "createdBy": "00ub0oNGTSWTBKOLGLNR", "lastUpdated": "2019-08-24T14:15:22Z", "lastUpdatedBy": "00ub0oNGTSWTBKOLGLNR", "_links": { "self": { … } } }